View Issue Details

IDProjectCategoryView StatusLast Update
0000210WackoWikiactionpublic2011-05-31 21:24
Reporteradministrator Assigned ToElar9000  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000210: include and improve RSS action (feed.php + simplepie)
Descriptionadd actions/feed.php + libs/simplepie

(1) http://simplepie.org (Version 1.x -> PHP4 compatibility)

(2) http://wackowiki.org/Dev/PatchesHacks/RSSAtomFeed
improve feed action
- merging multiple feeds [done]
- charset issue [done]
- caching (on/off + cache location via config.inc.php [disc / since 1.2 also DB cache possible])
- add config option e.g. feed_acl and set it as default to '$' to protect the feed action from misuse via malicious feeds

$cache_location = './'.$this->GetConfigValue("cache_dir").'feeds';

[done]
/lang/wacko.xyz.php
"FeedTitle" => "Feed Title",
"FeedNoURL" => "Please specify a Feed with the Parameter url. (e.g. {{feed url=\"http://wackowiki.org/xml/recentcomment_wackowiki.xml"}}",
"FeedError" => "Could not load or parse feed",
Steps To Reproducehttp://test.wackowiki.org/Bugs/210
Additional Informationhttp://simplepie.org/wiki/faq/i_m_seeing_weird_characters
http://simplepie.org/wiki/faq/typical_multifeed_gotchas
TagsNo tags attached.

Relationships

related to 0000337 assignedadministrator add config option for the feed action to protect from misuse 
child of 0000226 resolvedadministrator print handler forces output to UTF-8 

Activities

administrator

2008-08-24 12:29

administrator   ~0000478

Last edited: 2009-08-18 16:03

View 2 revisions

initial version SVNed with Revision 110 (removed again for 4.3rc)
added feed action again with rev561
added SimplePie 1.2 with rev562

administrator

2010-05-14 22:58

administrator   ~0000760

updated to SimplePie 1.3-dev
http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/stable/rev/eba058fc5a3c

http://github.com/simplepie/simplepie

Issue History

Date Modified Username Field Change
2008-08-04 22:44 administrator New Issue
2008-08-04 22:44 administrator Legacy => NEW
2008-08-05 00:56 administrator Assigned To => administrator
2008-08-05 00:56 administrator Status new => confirmed
2008-08-05 02:23 administrator Description Updated
2008-08-05 12:50 administrator Additional Information Updated
2008-08-23 13:58 administrator Description Updated
2008-08-23 13:58 administrator Additional Information Updated
2008-08-24 12:29 administrator Note Added: 0000478
2008-08-24 12:29 administrator Summary include and improve RSS action (feed.php + simplepie ) => include and improve RSS action (feed.php + simplepie)
2008-08-24 12:37 administrator Description Updated
2008-09-08 11:10 administrator Description Updated
2008-09-08 11:26 administrator Relationship added child of 0000226
2008-09-11 11:16 administrator Description Updated
2008-09-11 17:26 administrator Steps to Reproduce Updated
2008-09-11 21:57 administrator Target Version 5.0.0 => 5.4.0
2008-10-10 14:22 administrator File Added: feed.php.txt
2008-10-10 14:29 administrator Assigned To administrator =>
2008-10-10 14:30 administrator Additional Information Updated
2008-10-10 14:31 administrator Note Edited: 0000478
2009-01-06 17:11 administrator Description Updated
2009-05-19 13:42 administrator Description Updated
2009-05-19 13:46 administrator Description Updated
2009-05-19 13:46 administrator Note Edited: 0000478
2009-06-27 10:12 administrator Description Updated View Revisions
2009-06-27 10:12 administrator Additional Information Updated View Revisions
2009-06-27 11:43 administrator File Added: feed.php.v2.txt
2009-08-10 15:32 administrator Description Updated View Revisions
2009-08-18 16:03 administrator Note Edited: 0000478 View Revisions
2009-08-18 16:05 administrator Assigned To => Elar9000
2009-08-18 16:05 administrator Target Version 5.4.0 => 5.0.0
2009-08-18 16:05 administrator Description Updated View Revisions
2009-08-18 16:07 administrator File Deleted: feed.php.v2.txt
2009-08-18 16:08 administrator File Deleted: feed.php.txt
2009-09-19 11:40 administrator Description Updated View Revisions
2009-10-13 15:58 administrator Target Version 5.0.0 => 5.0.beta
2009-10-13 16:11 administrator Description Updated View Revisions
2009-10-14 15:31 administrator Fixed in Version => 5.0.beta
2009-10-14 15:32 administrator Status confirmed => resolved
2009-10-14 15:32 administrator Resolution open => fixed
2009-10-14 15:35 administrator Issue cloned: 0000337
2009-10-14 15:35 administrator Relationship added related to 0000337
2010-03-08 10:09 administrator Category Action => action
2010-05-14 22:58 administrator Note Added: 0000760
2011-05-31 21:24 administrator Build => R5.0.beta